IMG_ReadXPMFromArray(3)

NAME
IMG_ReadXPMFromArray - Load an XPM image from a memory array.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

SDL_Surface * IMG_ReadXPMFromArray(char **xpm);

DESCRIPTION
The returned surface will be an 8bpp indexed surface, if possible, otherwise it will be 32bpp. If you always want 32-bit data, use IMG_ReadXPMFromArrayToRGB888() instead.

When done with the returned surface, the app should dispose of it with a call to SDL_DestroySurface().

FUNCTION PARAMETERS

xpm a null-terminated array of strings that comprise XPM data.

RETURN VALUE
Returns a new SDL surface, or NULL on error.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_ReadXPMFromArrayToRGB888(3)